## com.baidubce.services.media.model
Class CreateWaterMarkRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.CreateWaterMarkRequest

    public class CreateWaterMarkRequest

extends AbstractBceRequest

Constructor Summary
`CreateWaterMarkRequest()`

Method Summary
`String` `getBucket()`
`String` `getHorizontalAlignment()`
`Integer` `getHorizontalOffsetInPixel()`
`String` `getKey()`
`String` `getVerticalAlignment()`
`Integer` `getVerticalOffsetInPixel()`
`void` `setBucket(String bucket)`
`void` `setHorizontalAlignment(String horizontalAlignment)`
`void` `setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)`
`void` `setKey(String key)`
`void` `setVerticalAlignment(String verticalAlignment)`
`void` `setVerticalOffsetInPixel(Integer verticalOffsetInPixel)`
`String` `toString()`
`CreateWaterMarkRequest` `withBucket(String bucket)`
`CreateWaterMarkRequest` `withHorizontalAlignment(String horizontalAlignment)`
`CreateWaterMarkRequest` `withHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)`
`CreateWaterMarkRequest` `withKey(String key)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`CreateWaterMarkRequest` `withVerticalAlignment(String verticalAlignment)`
`CreateWaterMarkRequest` `withVerticalOffsetInPixel(Integer verticalOffsetInPixel)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateWaterMarkRequest

    public CreateWaterMarkRequest()

Method Detail

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### getBucket

    public String getBucket()

### setBucket

    public void setBucket(String bucket)

### withBucket

    public CreateWaterMarkRequest withBucket(String bucket)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public CreateWaterMarkRequest withKey(String key)

### getVerticalOffsetInPixel

    public Integer getVerticalOffsetInPixel()

### setVerticalOffsetInPixel

    public void setVerticalOffsetInPixel(Integer verticalOffsetInPixel)

### withVerticalOffsetInPixel

    public CreateWaterMarkRequest withVerticalOffsetInPixel(Integer verticalOffsetInPixel)

### getHorizontalOffsetInPixel

    public Integer getHorizontalOffsetInPixel()

### setHorizontalOffsetInPixel

    public void setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)

### withHorizontalOffsetInPixel

    public CreateWaterMarkRequest withHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)

### getVerticalAlignment

    public String getVerticalAlignment()

### setVerticalAlignment

    public void setVerticalAlignment(String verticalAlignment)

### withVerticalAlignment

    public CreateWaterMarkRequest withVerticalAlignment(String verticalAlignment)

### getHorizontalAlignment

    public String getHorizontalAlignment()

### setHorizontalAlignment

    public void setHorizontalAlignment(String horizontalAlignment)

### withHorizontalAlignment

    public CreateWaterMarkRequest withHorizontalAlignment(String horizontalAlignment)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.